glibmm: Glib::PropertyProxy_Base Class Reference

glibmm 2.66.1

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Glib::PropertyProxy_Base Class Reference

`#include <glibmm/propertyproxy_base.h>`

Inheritance diagram for Glib::PropertyProxy_Base:
[legend]

## Public Member Functions
| PropertyProxy_Base (ObjectBase* obj, const char* property_name)
| PropertyProxy_Base (const PropertyProxy_Base& other)
SignalProxyProperty | signal_changed ()
| This signal will be emitted when the property changes. More...
ObjectBase* | get_object () const
const char* | get_name () const

## Protected Member Functions
void | set_property_ (const Glib::ValueBase& value)
void | get_property_ (Glib::ValueBase& value) const
void | reset_property_ ()

## Protected Attributes
ObjectBase* | obj_
const char* | property_name_

## Constructor & Destructor Documentation

## ◆ PropertyProxy_Base() [1/2]

Glib::PropertyProxy_Base::PropertyProxy_Base | ( | ObjectBase* | obj,
|  | const char * | property_name
| ) |  |

## ◆ PropertyProxy_Base() [2/2]

Glib::PropertyProxy_Base::PropertyProxy_Base | ( | const PropertyProxy_Base& | other | ) |

## Member Function Documentation

## ◆ get_name()

const char* Glib::PropertyProxy_Base::get_name | ( |  | ) | const
| inline

## ◆ get_object()

ObjectBase* Glib::PropertyProxy_Base::get_object | ( |  | ) | const
| inline

## ◆ get_property_()

void Glib::PropertyProxy_Base::get_property_ | ( | Glib::ValueBase& | value | ) | const
| protected

## ◆ reset_property_()

void Glib::PropertyProxy_Base::reset_property_ | ( |  | ) |
| protected

## ◆ set_property_()

void Glib::PropertyProxy_Base::set_property_ | ( | const Glib::ValueBase& | value | ) |
| protected

## ◆ signal_changed()

SignalProxyProperty Glib::PropertyProxy_Base::signal_changed | ( |  | ) |

This signal will be emitted when the property changes.

## Member Data Documentation

## ◆ obj_

ObjectBase* Glib::PropertyProxy_Base::obj_
| protected

## ◆ property_name_

const char* Glib::PropertyProxy_Base::property_name_
| protected